Description

Here's the current plan of attack for upgrading all our MNs for the production release:

0. Stop traditional Metacat replication among MNs that will participate.

1a. Update existing access rules to only use 'allowFirst' - see sql script in Metacat project. This is a manual process and requires the

admin to evaluate existing access blocks that might be using deny rules for some specific purpose. Analysis on the KNB shows that

there are no meaningful rules used on that particular Metacat instance.

1b. Configure DOI prefixes for KNB, LTER, PISCO where appropriate. KNB will have entries for all three, LTER will have an entry for

itself and for the KNB. PISCO need only have a DOI prefix for itself. (TBD: LTER needs to know about PISCO even though it has no

direct replication relationship)

1c. This will generate DOIs for appropriate records (applies to KNB, LTER, and PISCO)

2. Upgrade Metacat 1.9.5 to 2.0.0 using the admin screens on each MN

2a. Generate SM for objects that originated on that MN (localhost/serverid=1 on the replication admin panel)

2b. Ensure replication policy for generated SM does not allow replication (numer_replicas = 0 is the default in metacat.properties)

3. Register the MNs with the CN. Only D1 synchronization will be running, not DataONE replication

3a. Wait for synchronization to complete for additional MNs that come on line (could be weeks)

4. When former replication partner MNs come online with their original content synched to the CNs we can set replication policies to

allow replication for those objects (now that the known replicas are registered correctly with the CNs).

5. Generate SystemMetadata for objects that did not originate on the source MN (e.g., KNB can then generate SM for records that it

houses from PISCO)

6. Audit task will eventually make sure MN SystemMetadata for replicas is updated to match the SM housed on the CN (with correct

authoritatve MN information)

Please note that with this plan, MN system metadata will become stale when we set replication policy on the CN. We can call

MN.systemMetadataChanged() for all ids when we are sure replication has processed all the objects.

Subtasks:

Task # 2721: Generate SystemMetadata only for original objects [initially] Closed

Task # 2722: LTER - set up MN for staging Closed

  Task # 2723: Generate test certificate for urn:node:mnStageLTER Closed

  Task # 2858: DOI conversion procedure Closed

Task # 2724: PISCO - set up stage server Closed

  Task # 2741: Generate urn:node:mnStagePISCO certificate Closed

  Task # 2773: Generate test.piscoweb.org certificate/key Closed

  Task # 2774: Generate ?.piscoweb.org certificate/key Closed

Task # 2740: Extend Metacat's GenerateSystemMetadata to target specific replication tar... Closed

  Task # 2762: Add "generate now" button for each Metacat replication target in the admin... Closed

Task # 2764: upgrade urn:node:mnStageUCSB1 Closed

  Task # 2776: revert mnStageUCSB1 Metacat db to 1.9.5 and upgrade to 2.0.0 Closed

Task # 2765: upgrade urn:node:mnSandboxUCSB1 Rejected

Task # 2811: ESA - deploy skin on mnStageUCSB2 Closed

Task # 2812: OBFS - test skin Closed

Task # 2813: NRS - test skin Closed

Task # 2814: Email all existing KNB replica partners re: 2.0.0 upgrade Closed

Task # 2742: Finalize DOI shoulders for PISCO, LTER, KNB Closed

Task # 2857: Create DOI conversion script for LTER node Closed

Task # 2880: SANParks MN upgrade Closed
  Task # 2883: Determine current SANParks replication setup Closed

  Task # 2884: Upgrade dataknp server software Closed

  Task # 2885: Upgrade SANParks to Metacat 2.0.0 Closed

  Task # 2886: Register SANParks as MN Closed

  Task # 2887: Generate MN certificate for urn:node:SANPARKS Rejected

  Task # 2889: Consolidate the saeonocean.co.za and saeonmetacat.co.za replication server... Closed

  Task # 2979: Upgrade SANParks to Metacat 2.0.1 Closed

  Task # 2980: Generate ORE map for EML packages on SANParks Closed

Task # 2881: ESA + PARC MN upgrade Closed

  Task # 2888: Install Metacat pre-requisites Closed

  Task # 2845: Build new ESA server on mn-ucsb-2.dataone.org Closed

    Task # 2854: Email ESA admins about DNS switch Closed

    Task # 2903: Migrate postgres DB for ESA Closed

    Task # 2904: Migrate ESA documents/data directories to new server Closed

    Task # 2910: Set up ESA registry Closed

    Task # 2911: Transfer SSL certificates to ESA server Closed

  Task # 2846: Build new PARC server on mn-ucsb-2.dataone.org Closed

    Task # 2853: Email PARC admins about DNS change Closed

    Task # 2905: Migrate postgres DB for PARC Closed

    Task # 2906: Migrate PARC documents/data directories to new server Closed

    Task # 2912: Transfer SSL certificates to PARC server Closed

    Task # 2913: Configure Metacat->Metacat replication from PARC->KNB Closed

  Task # 2891: Copy existing Apache configurations to new site configs Closed

  Task # 2915: Install DataONE CA (ESA, PARC) Closed

  Task # 2981: Upgrade ESA to Metacat 2.0.1 Closed

Task # 2882: KNB MN upgrade Closed

  Task # 2892: Install Metacat prerequisites on KNB (mn-ucsb-3) Closed

  Task # 2893: Generate certificate for urn:node:KNB Rejected

  Task # 2894: Detail steps for moving postgres db to new KNB Closed

  Task # 2895: Detail steps for moving /var/metacat/* to new KNB Closed

  Task # 2897: Update and migrate static KNB content Closed

  Task # 2898: workflowscheduler and kepler Rejected

  Task # 2899: EMLParser webapp - migrate to new KNB host Closed

  Task # 2901: Migrate [most of] existing KNB Apache configuration to new host Closed

  Task # 2902: Move/deprecate/update  "authority" LSID-resolution service Closed

    Task # 2918: LSID authority service error on init Closed

  Task # 2907: Configure NCEAS, OBFS, NRS registry Closed

    Task # 2908: Install NCEAS::AdminDB module Closed

    Task # 2909: Allow PG connections from new server to adminDB Closed

  Task # 2916: Install DataONE CA (new KNB) Closed

  Task # 2920: Transfer spatial cache to new server Closed

  Task # 2924: Switch DNS entries for KNB Closed

Task # 2938: SystemMetadata has incomplete obsoletedBy information Closed

Task # 2983: Upgrade KNB to Metacat 2.0.1 Closed

Task # 3006: Generate ORE maps for EML packages on KNB Closed

Related issues:

Related to Infrastructure - Task #2815: EZID - create script and sample DOI b... Closed 2012-05-24

History

#1 - 2012-06-09 00:24 - Matthew Jones

- Category set to Support Operations

- Status changed from New to In Progress

- Target version set to Sprint-2012.23-Block.3.4
#2 - 2012-06-20 14:06 - Dave Vieglais

- Position set to 1

- Target version changed from Sprint-2012.23-Block.3.4 to Sprint-2012.25-Block.4.1

#3 - 2012-07-09 13:37 - Dave Vieglais

- Milestone changed from CCI-1.0.0 to CCI-1.0.2

- Target version changed from Sprint-2012.25-Block.4.1 to Sprint-2012.27-Block.4.2

#4 - 2012-07-09 14:20 - Dave Vieglais

- Position set to 1

- Position deleted (9)

#5 - 2012-07-09 15:37 - Dave Vieglais

- Milestone changed from CCI-1.0.2 to CCI-1.0.3

#6 - 2012-07-19 22:12 - Ben Leinfelder

- Position deleted (5)

- Position set to 1

- Target version changed from Sprint-2012.27-Block.4.2 to Sprint-2012.29-Block.4.3

#7 - 2012-07-31 00:31 - Dave Vieglais

- Milestone changed from CCI-1.0.3 to CCI-1.0.4

#8 - 2012-08-31 01:59 - Chris Jones

- Target version changed from Sprint-2012.29-Block.4.3 to Sprint-2012.37-Block.5.3

#9 - 2012-08-31 03:56 - Chris Jones

- Position deleted (8)

- Position set to 1

- Target version changed from Sprint-2012.37-Block.5.3 to Sprint-2012.35-Block.5.2

#10 - 2012-09-03 17:20 - Ben Leinfelder

- Status changed from In Progress to Closed

finally closing -- subtasks are all complete or moved to separate tickets.

Powered by TCPDF (www.tcpdf.org)

2024-04-27 3/3

http://www.tcpdf.org

